﻿<UserControl x:Class="OrslavTeam.Revit.Steel.SteelSpreadScheduleViewer.Controls.MaterialGroupControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:local="clr-namespace:OrslavTeam.Revit.Steel.SteelSpreadScheduleViewer.Controls"
             mc:Ignorable="d">
    <UserControl.Resources>
        <Style TargetType="{x:Type TextBlock}">
            <Setter Property="FontFamily"
                    Value="./#GOST_2.304-81" />
            <Setter Property="FontSize"
                    Value="9.8pt" />
            <Setter Property="TextAlignment"
                    Value="Center" />
            <Setter Property="VerticalAlignment"
                    Value="Center" />
            <Setter Property="TextWrapping"
                    Value="WrapWithOverflow" />
        </Style>
    </UserControl.Resources>
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="3cm" />
            <ColumnDefinition Width="3cm" />
            <ColumnDefinition Width="1cm" />
            <ColumnDefinition MinWidth="1.5cm" />
            <ColumnDefinition Width="2.5cm" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition MinHeight="0.8cm" Height="Auto" />
            <RowDefinition MinHeight="0.8cm" Height="*" />
        </Grid.RowDefinitions>

        <Border Grid.Row="0"
                Grid.Column="0"
                BorderBrush="Black"
                BorderThickness="0.03cm 0 0.03cm 0.03cm">
            <TextBlock x:Name="MaterialName" />
        </Border>


        <Grid x:Name="Profiles"
                   Grid.Row="0"
                   Grid.Column="1"
                   Grid.ColumnSpan="4" />


        <Border Grid.Row="1"
                Grid.Column="0"
                BorderBrush="Black"
                BorderThickness="0.03cm 0 0.03cm 0.03cm">
            <TextBlock x:Name="TotalMassName"
                       TextAlignment="Center" />
        </Border>
        <Border Grid.Row="1"
                Grid.Column="1"
                BorderBrush="Black"
                BorderThickness="0.03cm 0 0.03cm 0.03cm" />
        <Border Grid.Row="1"
                Grid.Column="2"
                BorderBrush="Black"
                BorderThickness="0.03cm 0 0.03cm 0.03cm">
            <TextBlock x:Name="RowNumber"
                       TextAlignment="Center" />
        </Border>
        <Grid Grid.Row="1"
              Grid.Column="3"
              x:Name="TotalMassByColumn" />
        <Border Grid.Row="1"
                Grid.Column="4"
                BorderBrush="Black"
                BorderThickness="0.03cm 0 0.06cm 0.03cm">
            <TextBlock x:Name="TotalMass"
                       TextAlignment="Center" />
        </Border>
    </Grid>
</UserControl>
